Subject: Re: [PATCH net] octeontx2-af: Fix QMEM struct memory allocation

From: Leon Romanovsky <[email-masked]>
Date: Tue, 3 Jan 2023 12:05:51 +0200

On Tue, Jan 03, 2023 at 09:39:17AM +0530, Geetha sowjanya wrote:
> Currently NIX, NPA queue context memory is being allocated using
> GFP_KERNEL flag which inturns allocates from memory reserved for
> CMA_DMA. Sizing CMA_DMA memory is getting difficult due to this
> dependency, the more number of interfaces enabled the more the
> CMA_DMA memory requirement.
> 
> To address this issue, GFP_KERNEL flag is replaced with GFP_ATOMIC,
> with this memory will be allocated from unreserved memory.

No, GFP_ATOMIC is for memory allocations in atomic context and not for
separation between reserved and unreserved memory.

There is no any explanation to use GFP_ATOMIC except being in atomic
context.

Thanks